import * as plugins from '../cloudly.plugins.js';
import { Cloudly } from '../cloudly.classes.cloudly.js';

/**
 * the portion of Cloudflare responsible
 */
export class CloudflareConnector {
  private cloudlyRef: Cloudly;
  public cloudflare: plugins.cloudflare.CloudflareAccount;

  constructor(cloudlyArg: Cloudly) {
    this.cloudlyRef = cloudlyArg;
  }

  // init the instance
  public async init() {
    this.cloudflare = new plugins.cloudflare.CloudflareAccount(this.cloudlyRef.config.data.cfToken);
  }
}
