import * as plugins from '../cloudly.plugins.js';

/*
 * cluster defines a swarmkit cluster
 */
@plugins.smartdata.Manager()
export class Cluster extends plugins.smartdata.SmartDataDbDoc<Cluster, plugins.servezoneInterfaces.data.ICluster> {
  // STATIC
  public static async fromConfigObject(
    configObjectArg: plugins.servezoneInterfaces.data.ICluster
  ) {
    const newCluster = new Cluster();
    Object.assign(newCluster, configObjectArg);
    return newCluster;
  }

  // INSTANCE
  @plugins.smartdata.unI()
  public id: string;

  @plugins.smartdata.svDb()
  public data: plugins.servezoneInterfaces.data.ICluster['data'];

  constructor() {
    super();
  }

  public async getServices(): Promise<plugins.servezoneInterfaces.data.IService[]> {
    return [];
  }
}
